Summary: Adobe Acrobat(R) Reader
Name: acroread-fontpack
Version: 5.05
Release: 1
Copyright: Commercial
ExclusiveArch: i386 i486 i586 i686
Group: Applications/Publishing
Source0: ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/jpnfont.tar.gz
Source1: ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/chsfont.tar.gz
Source2: ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/chtfont.tar.gz
Source3: ftp://ftp.adobe.com/pub/adobe/acrobatreader/unix/5.x/korfont.tar.gz
Url: http://www.adobe.com/supportservice/custsupport/download.html
BuildRoot: %{_tmppath}/%{name}-root
prefix: /usr

%description
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
the resources for the language packs.

%package common
Requires: acroread = %{version}
Summary: Files shared by Acrobat Reader language packs
Group: Applications/Publishing

%description common
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
the common resources for the language packs.

%package chs
Requires: acroread-fontpack-common = %{version}
Summary: Acrobat Reader Simplified Chinese language resources
Group: Applications/Publishing

%description chs
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
the Simplified Chinese language resources.

%package cht
Requires: acroread-fontpack-common = %{version}
Summary: Acrobat Reader Traditional Chinese language resources
Group: Applications/Publishing

%description cht
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
the Traditional Chinese language resources.

%package jpn
Requires: acroread-fontpack-common = %{version}
Summary: Acrobat Reader Japanese language resources
Group: Applications/Publishing

%description jpn
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
the Japanese language resources.

%package kor
Requires: acroread-fontpack-common = %{version}
Summary: Acrobat Reader Korean language resources
Group: Applications/Publishing

%description kor
Acrobat Reader is a browser, which allows to view, distribute and print
the documents in portable document format (PDF). This package includes
the Korean language resources.

%prep
%setup -q -c %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
tar xvfz %{SOURCE1}
tar xvfz %{SOURCE2}
tar xvfz %{SOURCE3}
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/acroread/Resource/Font

cd $RPM_BUILD_ROOT/%{prefix}/lib/acroread/Resource/Font
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/JPNKIT/LANGCOM.TAR
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/JPNKIT/LANGJPN.TAR
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/CHSKIT/LANGCHS.TAR
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/CHTKIT/LANGCHT.TAR
tar xSpf $RPM_BUILD_DIR/%{name}-%{version}/KORKIT/LANGKOR.TAR

find -type d | xargs chmod 755

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(-, root, root)
%dir %{prefix}/lib/acroread/Resource/Font
%{prefix}/lib/acroread/Resource/Font/*.cmap
%{prefix}/lib/acroread/Resource/Font/CMap.upr

%files kor
%defattr(-, root, root)
%{prefix}/lib/acroread/Resource/Font/HYSMyeongJoStd-Medium-Acro.otf

%files jpn
%defattr(-, root, root)
%{prefix}/lib/acroread/Resource/Font/KozMinPro-Regular-Acro.otf

%files chs
%defattr(-, root, root)
%{prefix}/lib/acroread/Resource/Font/STSongStd-Light-Acro.otf

%files cht
%defattr(-, root, root)
%{prefix}/lib/acroread/Resource/Font/MSungStd-Light-Acro.otf


%changelog
* Mon May 20 2002 David Woodhouse <dwmw2@infradead.org>
- Update to Acrobat Reader 5.05

* Mon Aug 14 2000 David Woodhouse <dwmw2@infradead.org>
- initial RPM for 7.1
